"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

function _postcssNormalize() {
  const data = _interopRequireDefault(require("postcss-normalize"));

  _postcssNormalize = function () {
    return data;
  };

  return data;
}

function _postcssPresetEnv() {
  const data = _interopRequireDefault(require("postcss-preset-env"));

  _postcssPresetEnv = function () {
    return data;
  };

  return data;
}

// import postcssFlexbugsFixes from 'postcss-flexbugs-fixes';
const config = {
  // Necessary for external CSS imports to work
  // https://github.com/facebook/create-react-app/issues/2677
  ident: 'postcss',
  plugins: [// eslint-disable-next-line global-require
  require('postcss-flexbugs-fixes'), (0, _postcssPresetEnv().default)({
    autoprefixer: {
      flexbox: 'no-2009'
    },
    stage: 3
  }), // Adds PostCSS Normalize as the reset css with default options,
  // so that it honors browserslist config in package.json
  // which in turn let's users customize the target behavior as per their needs.
  (0, _postcssNormalize().default)()]
};
module.exports = config;

//# sourceMappingURL=webpack/postcss.config.js.map